package com.ss.android.ttve.nativePort;

import X.IDP;
import com.bytedance.covode.number.Covode;

public class TEReverseCallback {
    public IDP listener;

    static {
        Covode.recordClassIndex(49442);
    }

    public void onProgressChanged(double d) {
        IDP idp = this.listener;
        if (idp != null) {
            idp.LIZ(d);
        }
    }

    public void setListener(Object obj) {
        this.listener = (IDP) obj;
    }
}
